search cancel

CICS CSD changes for Datacom IPC 15.1

book

Article ID: 253354

calendar_today

Updated On:

Products

Datacom IPC

Issue/Introduction

We are planning to upgrade IPC from 15.0 to 15.1.

README for IPC 15.1 states that the CICS definitions have not changed for 15.1. CAVQSAMP member VQ15CSD. Please confirm that there is no need to refresh the VQ15CSD & VQ15CSDT installed with V15.0 in CICS?

Environment

Release : 15.1

Resolution

The only difference in the CSD source between 15.0 and 15.1 is that the current 15.1 version of VQ15CSD now contains the CICS TS 6.1 interface modules VPEHJE74 and VPEHJN74. These were provided via LU03945. Please review your VQ15CSD member, and if you do not have these entries, you will need to apply this solution to be current.

For member, VQ15CSDT, the only difference is in comments to adjust a version number.

In general, you should consider that every "latest" version CSD source will always supersede the previous version source, and therefore, you should install this latest version, comparing it to the older version you have so that you know the differences between the versions. In this case (15.0 to 15.1), the changes are minimal–adding two new programs–but we have had changes between adjacent releases where we have changed storage keys or other vital parameters on many programs or transactions.

Therefore, we always recommend that you install the newer versions of the CSD source members for consistency, and to know that you have the expected entries nd parameters for the software being installed at this level.

Additional Information

As always, please contact Broadcom support for Datacom if you have further questions.